%define upstream_name    TAP-Harness-JUnit
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate JUnit compatible output from TAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Harness) >= 3.50.0
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Simple)
BuildArch:  noarch

%description
The only difference between this module and _TAP::Harness_ is that this
adds optional 'xmlfile' argument, that causes the output to be formatted
into XML in format similar to one that is produced by JUnit testing
framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Fri Mar 08 2013 guillomovitch <guillomovitch> 0.410.0-2.mga3
+ Revision: 401788
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-2.mga3
+ Revision: 373011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 317755
- update to 0.38

* Fri Aug 31 2012 kharec <kharec> 0.370.0-1.mga3
+ Revision: 286500
- update to 0.37

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.360.0-1.mga2
+ Revision: 190000
- imported package perl-TAP-Harness-JUnit


* Tue Jan 03 2012 cpan2dist 0.36-1mga
- initial mageia release, generated with cpan2dist
